%global fontname        saira
%global fontarchive     Saira
%global foundry         omnibus-type
%global fontconf        61-%{fontname}
%global commit          master
%global fontext         otf
%global fontvarext      ttf
%global fontsstat       %{fontarchive}/fonts/%{fontext}
%global fontsvar        %{fontarchive}/fonts/variable
%global fontsvarpref    var
%global tmp_ttx         TMP_ttx
%global tmp_edited      TMP_ttx2
%global tmp_fonts       TMP_fonts

%global common_desc \
Saira is a contemporary sans serif system, a versatile family of 72 \
styles. It is part of the Press Series, for it is applicable in \
newspapers, magazines, books and websites. Showing high adaptability, \
it can be used in headlines and long texts. The original masters were \
designed by Héctor Gatti. The character sets were later completed by \
the Omnibus-Type Team.

Name:           %{foundry}-%{fontname}-fonts
Version:        1.101
Release:        K01%{?dist}
Summary:        Saira is a sans serif system. It features a huge range of weights and widths.

License:        OFL
URL:            https://github.com/Omnibus-Type/Saira
Source0:        %{fontarchive}-%{commit}.zip
Source1:        %{name}.conf
Source2:        fix_names.pl


BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:  perl
BuildRequires:  perl-XML-LibXML
BuildRequires:  fonttools
Requires:       %{name}-common = %{version}-%{release}


%description
%common_desc

#####################


%package        common
Summary:        Common files of %{name}

%description    common
%common_desc

This package consists of files used by other %{name} packages.



#####################




%package        %{fontsvarpref}
Summary:        Saira is a sans serif system. It features a huge range of weights and widths.
Requires:       %{name}-common = %{version}-%{release}

%description    %{fontsvarpref}
%common_desc

This package includes only variable fonts.


#----------------------------------------------------------------------#


%prep
%setup  -q -c %{fontarchive}-%{commit}


%build

# Fix the FontFamily names.
rm -fr %{tmp_ttx}
mkdir -p %{tmp_ttx}
ttx -f -q -d %{tmp_ttx} %{fontarchive}-%{commit}/%{fontsstat}/*.%{fontext}
perl %{SOURCE2} in=%{tmp_ttx} out=%{tmp_edited} family=%{fontarchive} WAF
rm -fr %{tmp_fonts}
mkdir -p %{tmp_fonts}
ttx -f -q -d %{tmp_fonts} %{tmp_edited}/*.ttx

# Add prefix to variable fonts.
for f in %{fontarchive}-%{commit}/%{fontsvar}/*.%{fontvarext}; do
	fn=${f##*/}
	mv -- "$f" "%{fontarchive}-%{commit}/%{fontsvar}/%{fontsvarpref}-$fn"
done

%install

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p %{tmp_fonts}/*.%{fontext} %{buildroot}%{_fontdir}
install -m 0644 -p %{fontarchive}-%{commit}/%{fontsvar}/%{fontsvarpref}-*.%{fontvarext} %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

# Repeat for every font family
install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}.conf

for fconf in %{fontconf}.conf \
              ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

%files
%defattr(0644,root,root,-)
%{_fontdir}/%{fontarchive}*.%{fontext}

%files %{fontsvarpref}
%defattr(0644,root,root,-)
%{_fontdir}/%{fontsvarpref}-%{fontarchive}*.%{fontvarext}

%files common
%defattr(0644,root,root,-)
%doc %{fontarchive}-%{commit}/AUTHORS.txt %{fontarchive}-%{commit}/CONTRIBUTORS.txt %{fontarchive}-%{commit}/README.md %{fontarchive}-%{commit}/*.png
%license %{fontarchive}-%{commit}/OFL.txt
%{_fontconfig_confdir}/%{fontconf}.conf
%{_fontconfig_templatedir}/%{fontconf}.conf

%changelog
* Thu Feb 20 2025 Karlis Kalviskis <karlo@lu.lv> - 1.101-K01
- Initial release.
- Patched static font name table.
